/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.broker.impl;

import org.codehaus.activemq.broker.BrokerContainer;
import org.codehaus.activemq.broker.BrokerContainerFactory;
import org.codehaus.activemq.broker.BrokerContext;
import org.codehaus.activemq.store.PersistenceAdapter;

/**
 * @version $Revision: 1.1 $
 */
public class BrokerContainerFactoryImpl implements BrokerContainerFactory {
    private PersistenceAdapter persistenceAdapter;

    public BrokerContainerFactoryImpl() {
    }

    public BrokerContainerFactoryImpl(PersistenceAdapter persistenceAdapter) {
        this.persistenceAdapter = persistenceAdapter;
    }

    public BrokerContainer createBrokerContainer(String brokerName, BrokerContext context) {
        if (persistenceAdapter != null) {
            return new BrokerContainerImpl(brokerName, persistenceAdapter, context);
        }
        else {
            return new BrokerContainerImpl(brokerName, context);
        }
    }

    // Properties
    //-------------------------------------------------------------------------
    public PersistenceAdapter getPersistenceAdapter() {
        return persistenceAdapter;
    }

    public void setPersistenceAdapter(PersistenceAdapter persistenceAdapter) {
        this.persistenceAdapter = persistenceAdapter;
    }
}
